package com.hundsun.hybrid;

public class ActionResult<T> {
	public static final ActionResult<Boolean> TRUE_AND_CONTINUE = new ActionResult<Boolean>(true, true);

	public static final ActionResult<Boolean> FALSE_AND_CONTINUE = new ActionResult<Boolean>(false, true);

	public static final ActionResult<Boolean> TRUE_AND_BREAK = new ActionResult<Boolean>(true, false);

	public static final ActionResult<Boolean> FALSE_AND_BREAK = new ActionResult<Boolean>(false, false);

	private final T returnValue;

	private final boolean needContinue;

	public ActionResult(T returnValue, boolean needContinue) {
		this.returnValue = returnValue;
		this.needContinue = needContinue;
	}

	public T getReturnValue() {
		return returnValue;
	}

	public boolean needContinue() {
		return needContinue;
	}
};