package com.hundsun.hybrid;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;

public interface ActivityListener {
	public ActionResult<Boolean> onPrepareOptionsMenu(Menu menu);

	public ActionResult<Boolean> onCreateOptionsMenu(Menu menu);

	public ActionResult<Boolean> onOptionsItemSelected(MenuItem item);
	
	public void onActivityResult(int requestCode, int resultCode, Intent intent);

	public ActionResult<Boolean> onActivityKeyDown(int keyCode, KeyEvent event);

	public void onActivityDestroy();

	public void onActivityResume();

	public void onActivityPause();
	
	public void onNewIntent(Intent intent);
	
	public void onActivityCreate(Bundle bundle);

	public void onActivityConfigurationChanged(Configuration newConfig);
}