package com.hundsun.hybrid.utils;

import java.io.UnsupportedEncodingException;
import java.util.Map;

public class QueryString {
	public static void parseParameters(Map<String, String[]> map, String data) {
		if ((data != null) && (data.length() > 0)) {
			byte[] bytes = null;
			try {
				bytes = data.getBytes("UTF-8");
				parseParameters(map, bytes);
			} catch (UnsupportedEncodingException uee) {
			}
		}
	}

	public static void parseParameters(Map<String, String[]> map, byte[] data) throws UnsupportedEncodingException {
		if (data != null && data.length > 0) {
			int ix = 0;
			int ox = 0;
			String key = null;
			String value = null;
			while (ix < data.length) {
				byte c = data[ix++];
				switch ((char) c) {
				case '&':
					value = new String(data, 0, ox, "UTF-8");
					if (key != null) {
						putMapEntry(map, key, value);
						key = null;
					}
					ox = 0;
					break;
				case '=':
					if (key == null) {
						key = new String(data, 0, ox, "UTF-8");
						ox = 0;
					} else {
						data[ox++] = c;
					}
					break;
				case '+':
					data[ox++] = (byte) ' ';
					break;
				case '%':
					try {
						data[ox++] = (byte) ((convertHexDigit(data[ix++]) << 4) + convertHexDigit(data[ix++]));
					} catch (Exception e) { }
					break;
				default:
					data[ox++] = c;
				}
			}
			if (key != null) {
				value = new String(data, 0, ox, "UTF-8");
				putMapEntry(map, key, value);
			}
		}

	}

	public static byte convertHexDigit(byte b) {
		if ((b >= '0') && (b <= '9'))
			return (byte) (b - '0');
		if ((b >= 'a') && (b <= 'f'))
			return (byte) (b - 'a' + 10);
		if ((b >= 'A') && (b <= 'F'))
			return (byte) (b - 'A' + 10);
		throw new IllegalArgumentException(Character.valueOf((char) b) + " is not a hex number");
	}

	private static void putMapEntry(Map<String, String[]> map, String name, String value) {
		String[] newValues = null;
		String[] oldValues = map.get(name);
		if (oldValues == null) {
			newValues = new String[1];
			newValues[0] = value;
		} else {
			newValues = new String[oldValues.length + 1];
			System.arraycopy(oldValues, 0, newValues, 0, oldValues.length);
			newValues[oldValues.length] = value;
		}
		map.put(name, newValues);
	}
}
