package com.hundsun.hybrid.utils;

import java.util.HashMap;
import java.util.Map;

import android.content.Context;

public class ResUtil {
	private static Map<String, Integer> resMap = new HashMap<String, Integer>();

	private ResUtil() {

	}

	public static final String LAYOUT = "layout";

	public static final String DRAWABLE = "drawable";

	public static final String XML = "xml";

	public static final String ID = "id";

	public static int getResourceId(Context context, String className, String name) {
		if (context == null) {
			return 0;
		}
		return getResourseIdByName(context.getPackageName(), className, name);
	}

	public static synchronized int getResourseIdByName(String packageName, String className, String name) {
		String resource = "R." + className + "." + name;
		Integer id = resMap.get(resource);
		if (id != null) {
			return id;
		}
		id = 0;
		try {
			Class<?> r = Class.forName(packageName + ".R");
			Class<?>[] classes = r.getClasses();
			Class<?> desireClass = null;

			for (int i = 0; i < classes.length; i++) {
				if (classes[i].getName().split("\\$")[1].equals(className)) {
					desireClass = classes[i];
					break;
				}
			}

			if (desireClass != null) {
				id = desireClass.getField(name).getInt(desireClass);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		resMap.put(resource, id);
		return id;
	}

	public static int getResourceId(Context context, String resource) {
		if (context == null || resource == null) {
			return 0;
		}
		String[] names = resource.split("\\.");
		if (names.length != 3) {
			return 0;
		}
		if (!"R".equals(names[0])) {
			return 0;
		}
		return getResourceId(context, names[1], names[2]);
	}

	public static int getLayout(Context context, String name) {
		return getResourceId(context, ResUtil.LAYOUT, name);
	}

	public static int getID(Context context, String name) {
		return getResourceId(context, ResUtil.ID, name);
	}
}
