package com.hundsun.hybrid.widget;

import com.hundsun.hybrid.HybridView;

import android.content.Context;
import android.view.ViewGroup;
import android.widget.LinearLayout;

public class HybridLayout extends LinearLayout {
	private final LinearLayout header;
	private final LinearLayout content;
	private final LinearLayout footer;
	private final HybridView hybridView;
	
	public HybridLayout(Context context) {
		super(context);
		this.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.FILL_PARENT));
		this.setOrientation(LinearLayout.VERTICAL);
		
		this.header = new LinearLayout(context);
		this.header.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT, 0));
		this.header.setOrientation(LinearLayout.VERTICAL);
		
		
		this.content = new LinearLayout(context);
		this.content.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.FILL_PARENT, 1));
		
		this.hybridView = new HybridView(context);
		this.hybridView.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.FILL_PARENT));
		
		this.content.addView(this.hybridView);
		
		this.footer = new LinearLayout(context);
		this.footer.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT, 0));
		this.footer.setOrientation(LinearLayout.VERTICAL);
		
		this.addView(this.header);
		this.addView(this.content);
		this.addView(this.footer);
	}

	public LinearLayout getHeader() {
		return header;
	}

	public LinearLayout getContent() {
		return content;
	}

	public LinearLayout getFooter() {
		return footer;
	}

	public HybridView getHybridView() {
		return hybridView;
	}

}
