package com.hundsun.hybrid.widget;

import com.hundsun.hybrid.utils.ResUtil;

import android.content.Context;
import android.util.TypedValue;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

public class HybridNaviBar extends LinearLayout {
	
	private final Button naviButton1;
	private final TextView naviTitle;
	private final Button naviButton2;

	public HybridNaviBar(Context context) {
		super(context);
		
		this.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.FILL_PARENT));
		this.setOrientation(LinearLayout.HORIZONTAL);
		this.setBackgroundResource(ResUtil.getResourceId(context, "R.drawable.hl_bg_navi_bar"));
		
		this.naviButton1 = new Button(context);
		LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT, 0);
		params.leftMargin = 5;
		params.rightMargin = 3;
		params.gravity = Gravity.CENTER_VERTICAL;
		this.naviButton1.setLayoutParams(params);
		this.naviButton1.setTextSize(TypedValue.COMPLEX_UNIT_SP, 12);
		this.naviButton1.setBackgroundResource(ResUtil.getResourceId(context, "R.drawable.hl_selector_navi_button1"));
		this.naviButton1.setTextColor(context.getResources().getColor(ResUtil.getResourceId(context, "R.color.hl_white")));
		this.naviButton1.setVisibility(View.GONE);
		
		LinearLayout titleLayout = new LinearLayout(context);
		params = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT, 1);
		params.gravity = Gravity.CENTER_VERTICAL;
		titleLayout.setLayoutParams(params);
		titleLayout.setGravity(Gravity.CENTER);
		titleLayout.setOrientation(LinearLayout.HORIZONTAL);
		
		this.naviTitle = new TextView(context);
		this.naviTitle.setLayoutParams(new LinearLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT));
		this.naviTitle.setTextColor(context.getResources().getColor(ResUtil.getResourceId(context, "R.color.hl_white")));
		this.naviTitle.setTextSize(TypedValue.COMPLEX_UNIT_DIP, 18);
		
		this.naviButton2 = new Button(context);
		params = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT, 0);
		params.leftMargin = 3;
		params.rightMargin = 5;
		params.gravity = Gravity.CENTER_VERTICAL;
		this.naviButton2.setLayoutParams(params);
		this.naviButton2.setTextSize(TypedValue.COMPLEX_UNIT_SP, 12);
		this.naviButton2.setBackgroundResource(ResUtil.getResourceId(context, "R.drawable.hl_selector_navi_button2"));
		this.naviButton2.setTextColor(context.getResources().getColor(ResUtil.getResourceId(context, "R.color.hl_white")));
		this.naviButton2.setVisibility(View.GONE);
		
		titleLayout.addView(this.naviTitle);
		
		this.addView(this.naviButton1);
		this.addView(titleLayout);
		this.addView(this.naviButton2);
	}

	public Button getNaviButton1() {
		return naviButton1;
	}

	public TextView getNaviTitle() {
		return naviTitle;
	}

	public Button getNaviButton2() {
		return naviButton2;
	}

}
